:root {
    --corporative-color: #690d0f;
    --custom-position: 16dvh;
}

ui-finder,
ui-fidner-compact {
    margin: 0 auto;
}

/* CSS FOR NEW CLUB */
[data-mirai-component="signup"] {
    display: flex;
    justify-content: center;
}

[data-mirai-component="profile"],
[data-mirai-component="signup"] {
    padding: 100px 0;
}


.component_finder {
    width: 100%;
    position: fixed;
    bottom: 2dvh;
    z-index: 999;
    transition: bottom .3s ease-in-out;
    justify-items: center;

    &.top:not(:has(ui-finder-compact)) {
        bottom: var(--custom-position);
        transition: bottom .3s ease-in-out;
    }
}

body:has(.classy-menu.menu-on) .component_finder {
    z-index: 99;
}

body:has(ui-finder-compact) #scrollUp {
    bottom: 12dvh;
}

body:has(ui-finder-compact)[data-mirai-modal="true"] #scrollUp {
    display: none !important;
}

body:has([data-mirai-component="finder"]) {
    margin-bottom: 100px;
}

/* ================================= */
/* CSS FOR NEW CLUB */
[data-mirai-component="signup"] {
    display: flex;
    justify-content: center;
}

[data-mirai-component="profile"],
[data-mirai-component="signup"] {
    padding: 100px 0;
}